%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief: Changes Colormap used to Display Images
% https://www.iriscores.com
% Author: Vojtech Ters
% vojta.ters@iriscores.com
% Material free for non-commercial use.
% Please report any Bugs you find.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Callback_Colormap( src,Event )
    
    global S;
    
    CMap = S.ListColormap.String{S.ListColormap.Value};
    if(strcmpi(CMap,'hot'))
        colormap hot;
    elseif(strcmpi(CMap,'bone'))
        colormap bone;
    elseif(strcmpi(CMap,'jet'))
        colormap jet;
    elseif(strcmpi(CMap,'hsv'))
        colormap hsv;
    elseif(strcmpi(CMap,'morgenstemning'))
        colormap morgenstemning;
    else
      warning("Invalid Colormap Specified!");
    end
  
end